package cache

import (
	"eta/eta_mobile/models/data_manage"
	"eta/eta_mobile/utils"
	"fmt"
)

// 将替换指标操作加入到队列中
func AddReplaceEdbInfo(oldEdbInfo, newEdbInfo *data_manage.EdbInfo) bool {
	record := new(data_manage.ReplaceEdbInfoItem)
	record.OldEdbInfo = oldEdbInfo
	record.NewEdbInfo = newEdbInfo
	if utils.Re == nil {
		err := utils.Rc.LPush(utils.CACHE_KEY_REPLACE_EDB, record)
		if err != nil {
			fmt.Println("AddReplaceEdbInfo LPush Err:" + err.Error())
		}
		return true
	}
	return false
}
